Bug 7212 - getent group does not return group members
getent group does not return group members
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.0
x64 Linux
: P3 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-05 07:04 UTC by Veiko Kukk
Modified: 2010-03-29 09:14 UTC (History)
0 users

See Also:


Attachments
Patch (807 bytes, patch)
2010-03-29 08:05 UTC, Volker Lendecke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Veiko Kukk 2010-03-05 07:04:44 UTC
I recently upgraded my testserver Centos 5.4 from sernet samba 3.3.11-40.el5 to sernet samba 3.5.0-42.el5. Did no configuration changes. Samba is configured to get users and groups from NT4 PDC through winbind.

Before upgrade to 3.5, 'getent group' returned something like that: groupname:x:16777268:user1,user2,user3 etc.
Now it only returns: groupname:x:16777268: without listing members of any group.
Comment 1 Guenther Deschner 2010-03-23 08:11:01 UTC
Can you please upload your smb.conf ?
Comment 2 andrew 2010-03-24 09:50:08 UTC
"getent group" does not return any group membership for me either - samba sernet 3.5.1-43.el5 on RHEL 5.4

wbinfo --group-info=<group name>

still functions properly, however

smb.conf

[global]
        workgroup = XXXX
        realm = XXXX.LOCAL
        server string = %h
        security = ADS
        allow trusted domains = No
        password server = zeus dione
        log file = /var/log/samba/%m
        smb ports = 445
        deadtime = 15
        printcap name = cups
        local master = No
        domain master = No
        idmap uid = 100000-200000
        idmap gid = 100000-200000
        template homedir = /data/user_home/%D/%U
        template shell = /bin/bash
        winbind separator = +
        winbind enum users = Yes
        winbind enum groups = Yes
        winbind use default domain = Yes
        winbind expand groups = 5
        idmap config XXXX:range = 100000-200000
        idmap config XXXX:base_rid = 500
        idmap config XXXX:backend = rid
        admin users = "@XXXX+domain admins", XXXX+Administrator
        inherit owner = Yes
        use sendfile = Yes
        veto oplock files = /*.mdb/*.MDB/*.mde/*.MDE/*.accdb/*.ACCDB/*.ldb/*.LDB/
        access based share enum = Yes

[G_drive]
        comment = G_Groups on Bubbles
        path = /data/G_drive
        valid users = "@XXX+domain admins", "@XXXX+domain users", XXXX+Administrator, @XXXX+r_g_drive
        read only = No
        force create mode = 0770
        force directory mode = 0770
        inherit permissions = Yes
        inherit acls = Yes
        hide unreadable = Yes
        browseable = No
Comment 3 Veiko Kukk 2010-03-29 01:59:18 UTC
I think, only [global] section is relevant, so:


[global]
	dos charset = CP775
	log file = /var/log/samba/%m.log
	log level = 1
	load printers = yes
	idmap gid = 16777216-33554431
	wins server = 172.21.1.200 172.21.1.201
	winbind use default domain = yes
    	winbind enum users = Yes
    	winbind enum groups = Yes
	winbind nested groups = Yes
	winbind cache time = 3600
	template shell = /bin/false
	dns proxy = no 
	cups options = raw
	printing = cups
	server string = xxxxxx
	idmap uid = 16777216-33554431
	password server = * 
	workgroup = xxxx
	os level = 20
	printcap name = /etc/printcap
	security = domain
	preferred master = no
	max log size = 5000
	deadtime = 15
	guest ok = no
    lock directory = /var/cache/samba
    usershare path = /var/cache/samba/usershares
	oplocks = false
	level2 oplocks = false
Comment 4 Volker Lendecke 2010-03-29 08:05:51 UTC
Created attachment 5557 [details]
Patch

The attached patch fixes it for me.

Volker
Comment 5 Stefan Metzmacher 2010-03-29 08:17:45 UTC
Comment on attachment 5557 [details]
Patch

Looks good
Comment 6 Stefan Metzmacher 2010-03-29 08:51:30 UTC
Karolin please pick the next release
Comment 7 Karolin Seeger 2010-03-29 09:14:28 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!